export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type FirewallRule = {
    zoneId: string;
    type: string;
    action: string;
    values: Array<string>;
    firewallruleId?: string;
};
export declare type CollectionResponseEnvelope = {
    data?: Array<any>;
};
export declare type WafGroupEnvelope = {
    data: object;
};
export declare type Zone = {
    zoneId: string;
    name: string;
    status: string;
};
export declare type ZonesEnvelope = {
    data: Array<object>;
};
export declare type ItemResponseEnvelope = {
    data?: object;
};
export declare type ZoneEnvelope = {
    data: object;
};
export declare type FirewallRuleEnvelope = {
    data: object;
};
export declare type FirewallRulesEnvelope = {
    data: Array<object>;
};
export declare type WafGroupsEnvelope = {
    data: Array<object>;
};
export declare type WafRulesEnvelope = {
    data: Array<object>;
};
export declare type WafGroup = {
    mode: string;
    groupId?: string;
    action?: string;
    description?: string;
};
export declare type WafRuleEnvelope = {
    data: object;
};
export declare type WafRule = {
    action: string;
    ruleId?: string;
    groupId?: string;
    defaultAction?: string;
    description?: string;
};
//# sourceMappingURL=CdnApi.types.d.ts.map