export declare type PaymentTransactionUpdateRequest = {};
export declare type PaymentInstrumentUpdateRequest = {};
export declare type OrderPaymentStatusUpdateRequest = {
    status: string;
};
export declare type OrderConfirmationStatusUpdateRequest = {
    status: string;
};
export declare type ShippingAddressUpdateRequest = {
    address1?: string;
    address2?: string;
    city?: string;
    company_name?: string;
    country_code?: string;
    first_name?: string;
    full_name?: string;
    id?: string;
    job_title?: string;
    last_name?: string;
    phone?: string;
    post_box?: string;
    postal_code?: string;
    salutation?: string;
    second_name?: string;
    state_code?: string;
    suffix?: string;
    suite?: string;
    title?: string;
};
export declare type OrderExternalStatusUpdateRequest = {
    status: string;
};
export declare type OrderShippingStatusUpdateRequest = {
    status: string;
};
export declare type OrderUpdateRequest = {};
export declare type OrderExportStatusUpdateRequest = {
    status: string;
};
export declare type OrderStatusUpdateRequest = {
    status: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type Error = {
    message: string;
    type: string;
    arguments?: object;
    displayMessagePattern?: string;
};
//# sourceMappingURL=Orders.types.d.ts.map