export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type CountryCode = {};
export declare type Latitude = {};
export declare type Longitude = {};
export declare type StoreResult = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type DistanceUnit = {};
export declare type Distance = {};
export declare type PostalCode = {};
export declare type Store = {
    id: string;
    address1?: string;
    address2?: string;
    city?: string;
    countryCode?: string;
    distance?: number;
    distanceUnit?: string;
    email?: string;
    fax?: string;
    image?: string;
    inventoryId?: string;
    latitude?: number;
    longitude?: number;
    name?: string;
    phone?: string;
    posEnabled?: boolean;
    postalCode?: string;
    stateCode?: string;
    storeEvents?: string;
    storeHours?: string;
    storeLocatorEnabled?: boolean;
};
//# sourceMappingURL=ShopperStores.types.d.ts.map